From: "Daniel P. Berrangé" <berrange@redhat.com>
To: qemu-devel@nongnu.org
Cc: "Pierrick Bouvier" <pierrick.bouvier@linaro.org>,
"John Snow" <jsnow@redhat.com>, "Kevin Wolf" <kwolf@redhat.com>,
"Paolo Bonzini" <pbonzini@redhat.com>,
"Cleber Rosa" <crosa@redhat.com>,
"Hanna Reitz" <hreitz@redhat.com>,
"Thomas Huth" <thuth@redhat.com>,
"Philippe Mathieu-Daudé" <philmd@linaro.org>,
qemu-block@nongnu.org, "Alex Bennée" <alex.bennee@linaro.org>,
"Daniel P. Berrangé" <berrange@redhat.com>
Subject: [PATCH v5 11/15] tests: validate dmsetup result in test 128
Date: Wed, 4 Mar 2026 14:21:16 +0000 [thread overview]
Message-ID: <20260304142120.2635617-12-berrange@redhat.com> (raw)
In-Reply-To: <20260304142120.2635617-1-berrange@redhat.com>
The I/O test 128 uses 'dmsetup create' to create a device, optionally
using sudo to elevate privileges.
This dmsetup command works in GitLab CI, however, the test then fails
with a missing device name:
1..1
# running raw 128
not ok raw 128
----------------------------------- stderr -----------------------------------
--- /builds/berrange/qemu/tests/qemu-iotests/128.out
+++ /builds/berrange/qemu/build/scratch/raw-file-128/128.out.bad
@@ -1,5 +1,5 @@
QA output created by 128
== reading from error device ==
-read failed: Input/output error
+qemu-io: can't open device /dev/mapper/eiodev16546: Could not open '/dev/mapper/eiodev16546': No such file or directory
*** done
(test program exited with status code 1)
It is believed that this is due to the build env using a manually
populated /dev, such that the device mapper node won't ever appear.
It is not a race, since a test adding a sleep did not result in the
device appearing.
Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>
---
tests/qemu-iotests/128 | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/tests/qemu-iotests/128 b/tests/qemu-iotests/128
index d0e00d24b1..d75b1a451a 100755
--- a/tests/qemu-iotests/128
+++ b/tests/qemu-iotests/128
@@ -42,6 +42,12 @@ _setup_eiodev()
echo "0 $((1024 * 1024 * 1024 / 512)) error" | \
$cmd dmsetup create "$devname" 2>/dev/null
if [ "$?" -eq 0 ]; then
+ DEV="/dev/mapper/$devname"
+ if ! -e $DEV
+ then
+ _notrun "Device $DEV not appearing"
+ fi
+
sudo="$cmd"
return
fi
--
2.53.0
next prev parent reply other threads:[~2026-03-04 14:23 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2026-03-04 14:21 [PATCH v5 00/15] tests: do more testing of block drivers Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 01/15] gitlab: ensure all meson jobs capture build/meson-logs by default Daniel P. Berrangé
2026-03-04 14:45 ` Thomas Huth
2026-03-04 14:49 ` Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 02/15] tests: print reason when I/O test is skipped in TAP mode Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 03/15] tests: remove redundant meson suite for iotests Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 04/15] tests: ensure all qcow2 I/O tests are able to be run via make Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 05/15] scripts/mtest2make: ensure output has stable sorting Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 06/15] scripts/mtest2make: support optional tests grouping Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 07/15] tests: add a meson suite / make target per block I/O tests format Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 08/15] docs/devel/testing: expand documentation for 'make check-block' Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 09/15] tests: add nbd and luks to the I/O test suites Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 10/15] tests: use 'driver' as collective term for either format or protocol Daniel P. Berrangé
2026-03-04 14:21 ` Daniel P. Berrangé [this message]
2026-03-04 14:21 ` [PATCH v5 12/15] tests: fix check for sudo access in LUKS I/O test Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 13/15] tests: add QEMU_TEST_IO_SKIP for skipping I/O tests Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 14/15] gitlab: add jobs for thorough block tests Daniel P. Berrangé
2026-03-04 14:21 ` [PATCH v5 15/15] gitlab: remove I/O tests from build-tcg-disabled job Daniel P. Berrangé
2026-03-18 17:02 ` [PATCH v5 00/15] tests: do more testing of block drivers Daniel P. Berrangé
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20260304142120.2635617-12-berrange@redhat.com \
--to=berrange@redhat.com \
--cc=alex.bennee@linaro.org \
--cc=crosa@redhat.com \
--cc=hreitz@redhat.com \
--cc=jsnow@redhat.com \
--cc=kwolf@redhat.com \
--cc=pbonzini@redhat.com \
--cc=philmd@linaro.org \
--cc=pierrick.bouvier@linaro.org \
--cc=qemu-block@nongnu.org \
--cc=qemu-devel@nongnu.org \
--cc=thuth@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.